Review Settings
Update vendor review settings
Updates review platform enablement, custom SMS/email messages, primary Google review label, and additional Google review locations (max 5).
PUT
/
vendors
/
{vendorId}
/
review-settings
Update vendor review settings
curl --request PUT \
--url https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/review-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"googleReviewEnabled": true,
"facebookReviewEnabled": true,
"bbbReviewEnabled": true,
"otherReviewEnabled": true,
"otherReviewSiteName": "<string>",
"customSMSMessage": "<string>",
"customEmailMessage": "<string>",
"primaryGoogleReviewLabel": "<string>",
"reviewLocations": [
{
"label": "<string>",
"googleUrl": "<string>"
}
]
}
'import requests
url = "https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/review-settings"
payload = {
"googleReviewEnabled": True,
"facebookReviewEnabled": True,
"bbbReviewEnabled": True,
"otherReviewEnabled": True,
"otherReviewSiteName": "<string>",
"customSMSMessage": "<string>",
"customEmailMessage": "<string>",
"primaryGoogleReviewLabel": "<string>",
"reviewLocations": [
{
"label": "<string>",
"googleUrl": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
googleReviewEnabled: true,
facebookReviewEnabled: true,
bbbReviewEnabled: true,
otherReviewEnabled: true,
otherReviewSiteName: '<string>',
customSMSMessage: '<string>',
customEmailMessage: '<string>',
primaryGoogleReviewLabel: '<string>',
reviewLocations: [{label: '<string>', googleUrl: '<string>'}]
})
};
fetch('https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/review-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"googleReviewEnabled": true,
"facebookReviewEnabled": true,
"bbbReviewEnabled": true,
"otherReviewEnabled": true,
"otherReviewSiteName": "<string>",
"customSMSMessage": "<string>",
"customEmailMessage": "<string>",
"primaryGoogleReviewLabel": "<string>",
"reviewLocations": [
{
"id": 123,
"label": "<string>",
"googleUrl": "<string>"
}
]
},
"message": "<string>"
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Path Parameters
Body
application/json
Update review settings. All fields are optional. Review locations array replaces existing locations (max 5).
Maximum string length:
500Maximum string length:
2000Maximum string length:
100Maximum array length:
5Show child attributes
Show child attributes
⌘I
Update vendor review settings

